<template>
  <lazy-bh-server-error-ui :message-id="messageId" />
</template>

<script>
export default {
  transition: {
    enterActiveClass:
      'a-fade-in-quint-fxs ml:a-fade-in-fxs animation-duration-200 animation-ease-out animation-fill-forwards',
    leaveActiveClass:
      'a-fade-in-quint-fxs ml:a-fade-in-fxs animation-duration-75 animation-ease-in animation-fill-forwards animation-reverse',
  },
  computed: {
    messageId() {
      const { mid = 'default' } = this.$route.query;
      return mid;
    },
  },
  activated() {
    this.$store.dispatch('bizcards/setSelectedBizcard', null);
  },
};
</script>
